#ifndef __LIGHT_H
#define __LIGHT_H

#include "common.h"
#include "Vector3.h"
#include "Material.h"


namespace CHCDemoEngine 
{

/** Class representing a directional light source
*/
class Light
{
public:
	
	Light(const Vector3 &dir, const RgbaColor &col): mDirection(dir), mColor(col) {}

	Vector3 GetDirection() const { return mDirection; }

	RgbaColor GetColor() const { return mColor; }


protected:

	Vector3 mDirection;
	RgbaColor mColor;
};

}

#endif // __LIGHT_H